These operations are needed to create and update member accounts and their membership information.
- Upload account image
MMS API V2 (2.0.0)
RESTful API specification for integrating gym management systems with the EGYM platform. This OpenAPI document defines all available endpoints, request/response schemas, authentication requirements, and error codes.
Key Features:
- Member account and membership management
- RFID assignment and management
- Real-time gym visit tracking (check-in/check-out)
- EGYM product booking (Smart Strength, EGYM+)
- Trainer task creation and tracking
- Webhook subscriptions for event notifications
- Push notifications to EGYM mobile apps
- Member migration from V1 API
Request
Partially update an account using accountId. Only non-null fields in the request will be updated. This is optimized for small, incremental changes.
The Member gender. Please note that NON_BINARY is not correctly supported yet, we send it as FEMALE for the usage of the machines.
- Mock serverhttps://developer.egym.com/_mock/mms-api-v2/apis/mms-v2/api/v2/accounts/{accountId}
- Testhttps://one-mms-service.ext-1.test.co.egym.coffee/api/v2/accounts/{accountId}
- Prodhttps://mms.api.egym.com/api/v2/accounts/{accountId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PATCH \
'https://developer.egym.com/_mock/mms-api-v2/apis/mms-v2/api/v2/accounts/{accountId}' \
-H 'Content-Type: application/json' \
-H 'x-api-key: YOUR_API_KEY_HERE' \
-d '{
"email": "string",
"firstName": "John",
"lastName": "Wick",
"dateOfBirth": "2019-08-24",
"gender": "MALE",
"contact": {
"phone": "string",
"street": "string",
"streetNumber": "string",
"zipCode": "string",
"city": "string",
"state": "string",
"country": "DE"
},
"membership": {
"membershipId": "string",
"agreementNumber": "string",
"membershipType": "BASIC",
"membershipSubType": "string",
"endOfContract": "2019-08-24",
"startOfContract": "2019-08-24",
"referringMemberId": "string",
"barcode": "string"
}
}'Request
This endpoint allows to upload a profile picture to the specified user using accountId (Supported formats: JPG, JPEG, PNG. Max file size: 16MB)
- Mock serverhttps://developer.egym.com/_mock/mms-api-v2/apis/mms-v2/api/v2/accounts/{accountId}/images
- Testhttps://one-mms-service.ext-1.test.co.egym.coffee/api/v2/accounts/{accountId}/images
- Prodhttps://mms.api.egym.com/api/v2/accounts/{accountId}/images
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'https://developer.egym.com/_mock/mms-api-v2/apis/mms-v2/api/v2/accounts/{accountId}/images' \
-H 'Content-Length: 0' \
-H 'Content-Type: multipart/form-data' \
-H 'x-api-key: YOUR_API_KEY_HERE'- Mock serverhttps://developer.egym.com/_mock/mms-api-v2/apis/mms-v2/api/v2/accounts/{accountId}/images
- Testhttps://one-mms-service.ext-1.test.co.egym.coffee/api/v2/accounts/{accountId}/images
- Prodhttps://mms.api.egym.com/api/v2/accounts/{accountId}/images
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://developer.egym.com/_mock/mms-api-v2/apis/mms-v2/api/v2/accounts/{accountId}/images' \
-H 'x-api-key: YOUR_API_KEY_HERE'These operations are needed to transmit the information to EGYM, that a specific member is currently in the gym. Based on that information several business logics are built, to provide a seamless training floor experience to the members of that gym. For example the trainer on the Training Floor is informed that this member is here and that he should complete some tasks.